# vim: set ts=2 sw=2 sts=2 et:
#
# Module data dump
#
# Copyright (c) 2011-present Qualiteam software Ltd. All rights reserved.
# See https://www.x-cart.com/license-agreement.html for license details.
XLite\Model\Config:
  - name: path_to_wordpress_dirr
    category: QSL\WordPress
    type: text
    orderby: 35
    value: blog
    translations: [{code: en, option_name: 'Path to WordPress directory (relative to X-Cart 5 directory)', option_comment: 'The folder to which will be downloaded and installed WordPress. If the folder does not exist it will be created automatically.<br /><strong>Note:</strong> If you change the current field, the blog will not be displayed.'}, {code: ru, option_name: 'Путь к директории с WordPress (относительно директории с X-Cart 5)', option_comment: 'Папка, в которую будет загружен и установлен WordPress. Если папка не существует, она будет создана автоматически.<br /><strong>Примечание:</strong> Если изменить значение, блог перестанет отображаться.'}]
    module: QSL\WordPress
  - name: wordpress_sep_1
    category: QSL\WordPress
    type: separator
    orderby: 45
    translations: [{code: en, option_name: '"Bread Crumbs"'}, {code: ru, option_name: '"Хлебные крошки"'}]
    module: QSL\WordPress
  - name: delimiter_character_breadcrumbsr
    category: QSL\WordPress
    type: text
    orderby: 55
    value: ''
    translations: [{code: en, option_name: 'Text to replace blog title in breadcrumbs', option_comment: '<strong>Example:</strong> &lt;your text&gt; » Сategories » Category name'}, {code: ru, option_name: 'Текст для замены названия блога в "Хлебных крошках"', option_comment: '<strong>Пример: <ваш текст> » Категории » Имя категории</strong>'}]
    module: QSL\WordPress
  - name: wordpress_sep_2
    category: QSL\WordPress
    type: separator
    orderby: 65
    translations: [{code: en, option_name: Pages}, {code: ru, option_name: Страницы}]
    module: QSL\WordPress
  - name: show_blog_name
    category: QSL\WordPress
    type: checkbox
    orderby: 75
    value: false
    translations: [{code: en, option_name: 'Add blog name', option_comment: 'Show blog name in the page header.'}, {code: ru, option_name: 'Добавить название блога', option_comment: 'Показывать название блога в заголовке страницы.'}]
    module: QSL\WordPress
  - name: show_blog_description
    category: QSL\WordPress
    type: checkbox
    orderby: 85
    value: false
    translations: [{code: en, option_name: 'Add blog description for blog home page', option_comment: 'Show blog description in the header of the main page.'}, {code: ru, option_name: 'Добавить описание блога на главную страницу', option_comment: 'Показывать описание блога в заголовке главной страницы.'}]
    module: QSL\WordPress
  - name: show_number_page
    category: QSL\WordPress
    type: checkbox
    orderby: 95
    value: true
    translations: [{code: en, option_name: 'Add a page number if necessary'}, {code: ru, option_name: 'Добавить нумерацию страниц, если это необходимо'}]
    module: QSL\WordPress
  - name: wordpress_sep_3
    category: QSL\WordPress
    type: separator
    orderby: 105
    translations: [{code: en, option_name: 'Widget "Recent Posts"'}, {code: ru, option_name: 'Виджет "Последние Посты"'}]
    module: QSL\WordPress
  - name: enable_widget_latest_posts
    category: QSL\WordPress
    type: checkbox
    orderby: 115
    value: false
    translations: [{code: en, option_name: 'Show widget'}, {code: ru, option_name: 'Показывать виджет'}]
    module: QSL\WordPress
  - name: number_of_latest_posts
    category: QSL\WordPress
    type: XLite\View\FormField\Input\Text\Integer
    widgetParameters: {min: 0, max: 20, e: 1}
    orderby: 125
    value: 3
    translations: [{code: en, option_name: 'The number of display recent posts', option_comment: 'The value should range from 0 to 20.'}, {code: ru, option_name: 'Количество отображаемых последних постов', option_comment: 'Значение должно варьироваться от 0 до 20.'}]
    module: QSL\WordPress
  - name: section_style
    category: QSL\WordPress
    type: XLite\Module\QSL\WordPress\View\FormField\Select\StyleSection
    orderby: 135
    value: 'Content section'
    translations: [{code: en, option_name: 'Section style', option_comment: 'Location widget.<br /><strong>content section</strong> - in the center of the main page of your store<br /><strong>menu section</strong> - in the menu of your store'}, {code: ru, option_name: 'Section style', option_comment: 'Расположение виджета.<br /><strong>секция контента</strong> - в центре главной страницы вашего магазина<br /><strong>секция меню</strong> - в меню вашего магазина'}]
    module: QSL\WordPress
  - name: show_excerpt
    category: QSL\WordPress
    type: checkbox
    orderby: 145
    value: true
    translations: [{code: en, option_name: 'Show excerpt', option_comment: 'If this option is enabled, it will be shown a short excerpt. Otherwise will only show titles.'}, {code: ru, option_name: 'Показывать отрывок', option_comment: 'Если эта опция включена, будет показан отрывок поста. В противном случае будут отображены только названия.'}]
    module: QSL\WordPress
XLite\Model\LanguageLabel:
  - name: Blog
    translations: [{code: en, label: Blog}, {code: ru, label: Блог}]
  - name: 'Content section'
    translations: [{code: en, label: 'content section'}, {code: ru, label: 'секция контента'}]
  - name: 'Menu section'
    translations: [{code: en, label: 'menu section'}, {code: ru, label: 'секция меню'}]
  - name: 'Page not available'
    translations: [{code: en, label: 'Page not available'}, {code: ru, label: 'Страница не доступна'}]
  - name: 'Please contact the administrator'
    translations: [{code: en, label: 'Please contact the administrator'}, {code: ru, label: 'Пожалуйста свяжитесь с администратором'}]
  - name: 'Installation wizard'
    translations: [{code: en, label: 'Installation wizard'}, {code: ru, label: 'Мастер установки'}]
  - name: 'To install WordPress in your store, please follow these steps'
    translations: [{code: en, label: 'To install WordPress in your store, please follow these steps'}, {code: ru, label: 'Чтобы установить WordPress в вашем магазине, пожалуйста, выполните следующие действия'}]
  - name: 'Step 1. Download the latest version of WordPress and copy the necessary files'
    translations: [{code: en, label: 'Step 1. Download the latest version of WordPress and copy the necessary files.'}, {code: ru, label: 'Шаг 1. Загрузка последней версии WordPress и копирование необходимых файлов.'}]
  - name: 'Please make sure that on the directory'
    translations: [{code: en, label: '* please make sure that on the directory'}, {code: ru, label: '* пожалуйста, убедитесь, что на каталог'}]
  - name: 'Have write permissions'
    translations: [{code: en, label: 'have write permissions'}, {code: ru, label: 'имеются права на запись'}]
  - name: 'Download WordPress in'
    translations: [{code: en, label: 'Download WordPress in'}, {code: ru, label: 'Загрузка WordPress в'}]
  - name: Comment
    translations: [{code: en, label: 'Comment:'}, {code: ru, label: 'Комментарий:'}]
  - name: 'WordPress server is not available, please try again or wait a little time'
    translations: [{code: en, label: 'WordPress server is not available, please try again or wait a little time.'}, {code: ru, label: 'Сервер WordPress недоступен, пожалуйста, попробуйте снова или подождите немного времени.'}]
  - name: 'Copy the necessary files'
    translations: [{code: en, label: 'Copy the necessary files'}, {code: ru, label: 'Копирование необходимых файлов'}]
  - name: 'Step 2. Setup and installation of WordPress'
    translations: [{code: en, label: 'Step 2. Setup and installation of WordPress.'}, {code: ru, label: 'Шаг 2. Настройка и установка WordPress.'}]
  - name: 'For further instructions, please'
    translations: [{code: en, label: 'For further instructions, please'}, {code: ru, label: 'Для получения дальнейших инструкций, пожалуйста,'}]
  - name: 'Click here'
    translations: [{code: en, label: 'click here'}, {code: ru, label: 'нажмите здесь'}]
  - name: 'Please click on'
    translations: [{code: en, label: 'Please click on'}, {code: ru, label: 'Пожалуйста, нажмите на'}]
  - name: 'To begin the installation'
    translations: [{code: en, label: 'to begin the installation.'}, {code: ru, label: 'для того чтобы начать установку.'}]
  - name: 'Start the installation'
    translations: [{code: en, label: 'Start the installation!'}, {code: ru, label: 'Начать установку!'}]
  - name: 'Recent Posts'
    translations: [{code: en, label: 'Recent Posts'}, {code: ru, label: 'Последние Посты'}]
  - name: 'Continue reading'
    translations: [{code: en, label: 'Continue reading'}, {code: ru, label: 'Продолжить чтение'}]
  - name: From
    translations: [{code: en, label: from}, {code: ru, label: от}]
  - name: 'View all posts'
    translations: [{code: en, label: 'view all posts'}, {code: ru, label: 'просмотреть все посты'}]
  - name: 'No posts'
    translations: [{code: en, label: 'No posts'}, {code: ru, label: 'Постов нет'}]
  - name: 'Category archives'
    translations: [{code: en, label: 'Category archives:'}, {code: ru, label: 'Архив категорий:'}]
  - name: 'Daily archive'
    translations: [{code: en, label: 'Daily archive:'}, {code: ru, label: 'Ежедневный архив:'}]
  - name: 'Monthly archive'
    translations: [{code: en, label: 'Monthly archives:'}, {code: ru, label: 'Архив за месяц:'}]
  - name: 'Yearly archive'
    translations: [{code: en, label: 'Yearly archive:'}, {code: ru, label: 'Годовой архив:'}]
  - name: 'Tag archive'
    translations: [{code: en, label: 'Tag archive:'}, {code: ru, label: 'Архив тегов:'}]
  - name: 'Articles archive'
    translations: [{code: en, label: 'Articles archive:'}, {code: ru, label: 'Архив статей:'}]
  - name: 'Author archive'
    translations: [{code: en, label: 'Author archive:'}, {code: ru, label: 'Архив автора:'}]
  - name: 'You can customize WP theme using X-Cart tools.'
    translations: [{code: en, label: 'You can customize WP theme using X-Cart tools.'}, {code: ru, label: 'Вы можете изменить стили WP, используя стандартные средства X-Cart.'}]
  - name: 'Problem with wp-config.php file'
    translations: [{code: en, label: 'Problem with wp-config.php file'}]
  - name: 'Please, check wp-config.php file of WordPress'
    translations: [{code: en, label: 'Please, check wp-config.php file of WordPress'}]
CDev\SimpleCMS\Model\Menu:
  - link: '?target=blog'
    visibleFor: AL
    type: P
    position: 1000
    enabled: 1
    translations: [{code: en, name: Blog}, {code: ru, name: Блог}, {code: es, name: 'Blog'}]
